extern void rf02_trans(unsigned short wert);
extern void rf02_init(void);							// init functions
extern void rf02_setmodfreq(unsigned char bandwidth);	// set modulation deviation
extern void rf02_setfreq(unsigned short freq);			// set tx frequency
extern void rf02_setpower(unsigned char power);			// set power (0-7)
extern void rf02_setbaud(unsigned short baud);			// set baudrate
extern void rf02_txdata(unsigned char *data, unsigned char number);	// tx data
extern void rf02_shiftout(unsigned char wert);


#define RF02FREQ(freq)	(400 * (freq-430))

#define F433MHz 1<<11
#define F868MHZ 2<<11
#define F915MHZ 3<<11

#define CLKO_01_00MHZ 0<<8
#define CLKO_01_25MHZ 1<<8
#define CLKO_01_66MHZ 2<<8
#define CLKO_02_00MHZ 3<<8
#define CLKO_02_50MHZ 4<<8
#define CLKO_03_33MHZ 5<<8
#define CLKO_05_00MHZ 6<<8
#define CLKO_10_00MHZ 7<<8

#define CLOAD_08_5 0<<4
#define CLOAD_09_0 1<<4
#define CLOAD_09_5 2<<4
#define CLOAD_10_0 3<<4
#define CLOAD_10_5 4<<4
#define CLOAD_11_0 5<<4
#define CLOAD_11_5 6<<4
#define CLOAD_12_0 7<<4
#define CLOAD_12_5 8<<4
#define CLOAD_13_0 9<<4
#define CLOAD_13_5 10<<4
#define CLOAD_14_0 11<<4
#define CLOAD_14_5 12<<4
#define CLOAD_15_0 13<<4
#define CLOAD_15_5 14<<4

#define oscena  0x20
#define synena  0x10
#define paamp   0x08
#define batdet  0x04
#define wup     0x02
#define clkodis 0x01
#define autoosc 0x80
#define autopa  0x40

#define dwc 0x80
#define ebs 0x20

// CH 14
#define ssf0 433.400
// CH 30
#define ssf1 433.800
// CH 46
#define ssf2 434.200
// CH 64
#define ssf3 434.650  

#define ssp0  7
#define ssp1  5
#define ssp2  2
#define ssp3  0